### Function

# GLib dngettext

since: 2.18

#### Declaration

    const gchar*
    g_dngettext (
      const gchar* domain,
      const gchar* msgid,
      const gchar* msgid_plural,
      gulong n
    )

#### Description

This function is a wrapper of `dngettext()` which does not translate the message if the default domain as set with `textdomain()` has no translations for the current locale.

See `g_dgettext()` for details of how this differs from `dngettext()` proper.

Available since: 2.18

#### Parameters

`domain`

  Type: `const gchar*`

  The translation domain to use, or `NULL` to use the domain set with `textdomain()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`msgid`

  Type: `const gchar*`

  Message to translate.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`msgid_plural`

  Type: `const gchar*`

  Plural form of the message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`n`

  Type: `gulong`

  The quantity for which translation is needed.

#### Return value

Type: `const gchar*`

The translated string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.